__gnu_profile::__object_info_base Class Reference

`#include <profiler_node.h>`

Inheritance diagram for __gnu_profile::__object_info_base:
[legend]

## Public Member Functions

| __object_info_base (__stack_t __stack)
bool | __is_valid () const
void | __merge (const __object_info_base &__o)
void | __set_invalid ()
__stack_t | __stack () const

## Protected Attributes

__stack_t | _M_stack
bool | _M_valid

## Detailed Description

Base class for a line in the object table.

Definition at line 127 of file profiler_node.h.

## Constructor & Destructor Documentation

## __object_info_base()

__gnu_profile::__object_info_base::__object_info_base | ( | __stack_t | __stack | ) |

inline

Definition at line 130 of file profiler_node.h.

## Member Function Documentation

## __is_valid()

bool __gnu_profile::__object_info_base::__is_valid | ( |  | ) | const

inline

Definition at line 134 of file profiler_node.h.

## __merge()

void __gnu_profile::__object_info_base::__merge | ( | const __object_info_base & | __o | ) |

inline

Definition at line 142 of file profiler_node.h.

## __set_invalid()

void __gnu_profile::__object_info_base::__set_invalid | ( |  | ) |

inline

Definition at line 138 of file profiler_node.h.

## __stack()

__stack_t __gnu_profile::__object_info_base::__stack | ( |  | ) | const

inline

Definition at line 146 of file profiler_node.h.

## Member Data Documentation

## _M_stack

__stack_t __gnu_profile::__object_info_base::_M_stack

protected

Definition at line 150 of file profiler_node.h.

## _M_valid

bool __gnu_profile::__object_info_base::_M_valid

protected

Definition at line 151 of file profiler_node.h.

The documentation for this class was generated from the following file:

- profiler_node.h